import mastodon
import random

def randline(fname):
    with open(fname) as afile:
        line = next(afile)
        for num, aline in enumerate(afile, 2):
            if random.randrange(num) == 0:
                line = aline
    return line.strip()

def bot():
    beats = "lo-fi beats to {} and {} to".format(
        randline('1syllableverbs.txt'), randline('2syllableverbs.txt'))
    print(beats)

    mdon = mastodon.Mastodon(
        access_token='token.secret',
        api_base_url='https://botsin.space')

    mdon.status_post(beats)

if __name__ == '__main__':
    bot()
